Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.deployment.wsdd.providers
Class WSDDBsfProvider

    java.lang.Object
      |
      +--org.apache.axis.deployment.wsdd.WSDDProvider
            |
            +--org.apache.axis.deployment.wsdd.providers.WSDDBsfProvider

public class WSDDBsfProvider
extends WSDDProvider

Field Summary

Fields inherited from class org.apache.axis.deployment.wsdd.WSDDProvider
`log`

Constructor Summary
`WSDDBsfProvider()`

Method Summary
`java.lang.String` | `getName()`
`Handler` | `newProviderInstance(WSDDService service, EngineConfiguration registry)`
`void` | `writeToContext(SerializationContext context)` Write this element out to a SerializationContext

Methods inherited from class org.apache.axis.deployment.wsdd.WSDDProvider
`getInstance, getOperation, getOperations, registerProvider`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSDDBsfProvider

    public WSDDBsfProvider()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `WSDDProvider`

### newProviderInstance

    public Handler newProviderInstance(WSDDService service,
                                       EngineConfiguration registry)
                                throws java.lang.Exception

  Specified by:
    `newProviderInstance` in class `WSDDProvider`
  Parameters:
    `registry` - XXX
  Returns:
    XXX
  Throws:
    `java.lang.Exception` - XXX

### writeToContext

    public void writeToContext(SerializationContext context)
                        throws java.io.IOException

  Write this element out to a SerializationContext

    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.